CivNet

Informations

Creator Message
BeberKing

Information

This installer has been approved by the team.

Informations

Platforms:
Downloads: 14838
Wine: 4.0.4

Feedbacks

Description

Sid Meier's CivNet was released in 1995 and was a remake of the original game (Civilization) with added multiplayer, improved graphics and sound, and Windows 3.1/95 support. Wikipedia.

The game is downloadable from some abandonware websites (example, the easier to use is the 'Rip' version).

Source code

#!/bin/bash
# Date : (2009-05-24 16-37)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : XUbuntu 18.04 64 bits
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: 
#
# Middlewares used by this software : .
#
#
#
# CHANGELOG
# [BBK] (2009-05-24 16-37)
#   Initial script.
# [GNU32] (2016-03-23)
#   Fix download link
#   Upgrades
# [Dadu042] (2020-06-07 01-00)
#   Wine 1.5.6 -> 4.0.4
#   New script (allowing to install from local file, because no alternative URL found to dead URL #2)
#
#
# KNOWN ISSUES :
#  - Wine x86 5.0, 5.7: X
#
#
# KNOWN ISSUES (FIXED):
#  - Wine x86 4.0.4, 5.0: X
#
    
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
           
TITLE="CivNet"
PREFIX="CivNet"
EDITOR="MicroProse"
GAME_URL=""
AUTHOR="Dadu042"
STEAM_ID=""
GAME_VMS="16"
SHORTCUT_FILENAME="civnet.exe"
SOFTWARE_CATEGORIES="Game;StrategyGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="readme.txt"
          
# Starting the script
POL_SetupWindow_Init
                       
# Starting debugging API
POL_Debug_Init
      
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
    
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
    
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
    
POL_RequiredVersion "4.3.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
          
# Determine Architecture
POL_System_SetArch "amd64"
# POL_System_SetArch "x86"
      
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "4.0.4"
    
POL_System_TmpCreate "$PREFIX"
           
Set_OS "win95"
   
#######################################
#  Installing mandatory dependencies  #
#######################################
         
# POL_Wine_DirectInput "MouseWarpOverride" "force"
 
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_dsound
# POL_Call POL_Install_quartz
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_d3dcompiler_43
# POL_Call POL_Install_wininet
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_dotnet30sp1
# POL_Call POL_Install_mono5.20
# POL_Call POL_Install_dotnet20
# POL_Call POL_Install_dotnet40
# POL_Call POL_Install_dotnet472
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
               
               
################
#      GPU     #
################
           
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
            
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
             
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
               
               
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
            
           
#######################################
#  Main part of this script           #
#######################################
               
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL"
    
# POL_SetupWindow_message "Warning: do not install DirectX (nor the icons)." "$TITLE"
# POL_SetupWindow_message "Warning: do not install Visual C++ 2013 redistribuable\n nor Direct X." "$TITLE"
            
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"

        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"

        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue.')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
                    
elif [ "$INSTALL_METHOD" == "CD" ]; then
        POL_SetupWindow_cdrom
                    
        POL_Call POL_Function_NoCDWarning
             
        POL_SetupWindow_check_cdrom "TRON.EXE"
        POL_Wine start /unix "$CDROM/SETUP.EXE"
                   
        POL_Wine_WaitExit "$TITLE"
                
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
                   
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
            
            
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
           
        # POL_SetupWindow_message "$(eval_gettext '\n\nNote: this script will download the demo .')" "$TITLE"
        POL_Download "https://archive.org/download/TheOperativeNoOneLivesForeverDemo/nolftechdemo.exe"
         
        mv nolftechdemo.exe GameInstaller.exe
        # mv Teacher%20Simulator.rar gameinstaller.rar        
        # mv Facewound.zip gameinstaller.zip
         
        # POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        # POL_System_unrar x "gameinstaller.rar" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        # POL_System_unzip "gameinstaller.zip" -d "$WINEPREFIX/drive_c/game/"
           
        # Extract without sub-folder.
        # unzip "gameinstaller.zip" -j -d "$WINEPREFIX/drive_c/"
           
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
   
        POL_SetupWindow_message "$(eval_gettext 'Note: just click the buttons <Unzip> then <Close>.')" "$TITLE"
       
        # cd  "$WINEPREFIX/drive_c/game/"
        POL_Wine "GameInstaller.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
   
        POL_SetupWindow_message "$(eval_gettext '\n\nNote: do NOT install DirectX.')" "$TITLE"
   
        cd  "$WINEPREFIX/drive_c/nolfdemo/"
        POL_Wine "SETUP.EXE" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
   
        cd "$WINEPREFIX/drive_c"
        # rm GameInstaller.exe
        rm GameInstaller.exe
           
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
           
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
                
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
         
           
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.MSI')~$(eval_gettext '.EXE')" "~"
         
        # APP_ANSWER=".EXE"
   
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the installation file (INSTALL.EXE)')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
 
        # POL_SetupWindow_message "Note: please answer NO to all the questions that will appear." "$TITLE"
 
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
               
        # Restore screen resolution (game's default is 640x480 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
                 
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
           
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
    
    
elif [ "$APP_ANSWER" == "$(eval_gettext '.MSI')" ]; then
       # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine msiexec /i  "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
                 
        # Restore screen resolution (game's default is 640x480 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
                 
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
           
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
    
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
           
        POL_SetupWindow_message "$(eval_gettext '\n\nWARNING: the file name must not have SPACES in its name !.')" "$TITLE"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
         
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
           
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
         
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
          
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
    
fi
fi
  
################
# Patch update #
################
      
# POL_SetupWindow_menu "$(eval_gettext 'Do you have a official patch-update to install ?')" "$TITLE" "$(eval_gettext 'No')~$(eval_gettext 'Yes')" "~"      
           
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .EXE file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
            
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
      
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
            
# Fail ?
# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
           
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Message
Dadu042 Sunday 7 June 2020 at 1:00
Dadu042

Information

This update has been approved by the team.

Message

Played 5 min.

Differences

@@ -1,77 +1,308 @@
 #!/bin/bash
-# Date : 2009-05-24 16-37
-# Last revision : 2016-03-23
-# Wine version used : 1.5.6
-# Distribution used to test : Linux Mint 17.3 Rosa
-# Licence : GPLv3
-# PlayOnLinux : 4.2.2
-# Author : BBK
-# Contributor : GNU32
-# Depend : 7zip
-  
+# Date : (2009-05-24 16-37)
+# Last revision : see the changelog below
+# Wine version used : see the changelog below
+# Distribution used to test : XUbuntu 18.04 64 bits
+# Author : Dadu042
+# Licence : Retail
+# Only For : http://www.playonlinux.com
+#
+# TESTED Editions: 
+#
+# Middlewares used by this software : .
+#
+#
+#
+# CHANGELOG
+# [BBK] (2009-05-24 16-37)
+#   Initial script.
+# [GNU32] (2016-03-23)
+#   Fix download link
+#   Upgrades
+# [Dadu042] (2020-06-07 01-00)
+#   Wine 1.5.6 -> 4.0.4
+#   New script (allowing to install from local file, because no alternative URL found to dead URL #2)
+#
+#
+# KNOWN ISSUES :
+#  - Wine x86 5.0, 5.7: X
+#
+#
+# KNOWN ISSUES (FIXED):
+#  - Wine x86 4.0.4, 5.0: X
+#
+    
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
-  
-TITLE="Civnet"
-PREFIX="Civnet"
-WINEVERSION="1.5.6"
-AUTHOR="BBK + GNU32(mainteneur)"
-GAME_VMS="8"
-GAME_URL="http://www.abandonware-france.org/ltf_abandon/ltf_jeu.php?id=8"
-GAME_EDITOR="Microprose"
-
-if [ "$POL_LANG" == "fr" ]; then
-LNG_ZIP_DL="Téléchargement du jeu..."
-LNG_INSTALL_WARNING="Il est préférable de cliquer sur 'Skip' lors de la création d'icônes"
-LNG_INSTALL="Installation en cours..."
-LNG_INSTALL_DONE="L'installation est terminée."
-else
-LNG_ZIP_DL="Downloading the game..."
-LNG_INSTALL_WARNING="It is advised to choose 'Skip' during the icons creation"
-LNG_INSTALL="Installation in progress..."
-LNG_INSTALL_DONE="The installation is finished."
-fi
-  
+           
+TITLE="CivNet"
+PREFIX="CivNet"
+EDITOR="MicroProse"
+GAME_URL=""
+AUTHOR="Dadu042"
+STEAM_ID=""
+GAME_VMS="16"
+SHORTCUT_FILENAME="civnet.exe"
+SOFTWARE_CATEGORIES="Game;StrategyGame;"
+# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
+DOCUMENT_FILE="readme.txt"
+          
+# Starting the script
 POL_SetupWindow_Init
-POL_SetupWindow_SetID 2132
+                       
+# Starting debugging API
 POL_Debug_Init
-
-# Presentation
-POL_SetupWindow_presentation \
-    "${TITLE}" \
-    "${GAME_EDITOR}" \
-    "${GAME_URL}" \
-    "${AUTHOR}" \
-    "${PREFIX}"
-
-# Create Prefix
-POL_System_SetArch "x86"
-POL_Wine_SelectPrefix "${PREFIX}"
-POL_Wine_PrefixCreate "${WINEVERSION}"
-
-# Asking about memory size of graphic card
-POL_SetupWindow_VMS ${GAME_VMS}
-
-# Téléchargement
+      
+# Open dialogue box 
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+    
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
+    
+# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
+    
+POL_RequiredVersion "4.3.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
+    
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+          
+# Determine Architecture
+POL_System_SetArch "amd64"
+# POL_System_SetArch "x86"
+      
+# Downloading wine if necessary and creating prefix
+POL_Wine_PrefixCreate "4.0.4"
+    
 POL_System_TmpCreate "$PREFIX"
-cd "$POL_System_TmpDir"
-POL_Download "http://www.abandonware-utopia.com/pages/telechargement/jeux/Sid%20Meiers%20CivNet.7z" "0c455727f06f0b7c7b5ec57bed1d40db"
-
-# Configuration du système d'exploitation
-Set_OS "Win95"
-
-POL_SetupWindow_message "$LNG_INSTALL_WARNING" "$TITLE"
-POL_SetupWindow_wait_next_signal "$LNG_INSTALL" "$TITLE"
-
-#Installation
-7z x "Sid%20Meiers%20CivNet.7z"
-POL_Wine_WaitBefore "$TITLE"
-POL_Wine "$POL_System_TmpDir/Sid Meiers CivNet/INSTALL.EXE"
-POL_SetupWindow_detect_exit
+           
+Set_OS "win95"
+   
+#######################################
+#  Installing mandatory dependencies  #
+#######################################
+         
+# POL_Wine_DirectInput "MouseWarpOverride" "force"
+ 
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Install_mfc42
+# POL_Call POL_Install_dsound
+# POL_Call POL_Install_quartz
+# POL_Call POL_Install_d3dx9_43
+# POL_Call POL_Install_d3dcompiler_43
+# POL_Call POL_Install_wininet
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Install_dotnet30sp1
+# POL_Call POL_Install_mono5.20
+# POL_Call POL_Install_dotnet20
+# POL_Call POL_Install_dotnet40
+# POL_Call POL_Install_dotnet472
+# POL_Call POL_Install_dsound
+# POL_Call POL_Install_riched30
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Install_d3dx11
+# POL_Call POL_Install_mono210
+               
+               
+################
+#      GPU     #
+################
+           
+# Asking about memory size of graphic card
+# POL_SetupWindow_VMS $GAME_VMS
+            
+# Set Graphic Card information keys for wine
+# POL_Wine_SetVideoDriver
+             
+# Useful for Nvidia GPUs
+# POL_Call POL_Install_physx
+               
+               
+#############################################
+#  Sound problem fix - pulseaudio related   #
+#############################################
+# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
+# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
+## End Fix
+            
+           
+#######################################
+#  Main part of this script           #
+#######################################
+               
+# Choose between Steam and other Digital Download versions
+# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
+POL_SetupWindow_InstallMethod "LOCAL"
+    
+# POL_SetupWindow_message "Warning: do not install DirectX (nor the icons)." "$TITLE"
+# POL_SetupWindow_message "Warning: do not install Visual C++ 2013 redistribuable\n nor Direct X." "$TITLE"
+            
+# Begin game installation
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+        POL_Call POL_Install_steam
+        
+        # Mandatory pre-install fix for steam
+        POL_Call POL_Install_steam_flags "$STEAM_ID"
 
-POL_SetupWindow_make_shortcut "$PREFIX" "MPS/CIVNET" "CIVNET.EXE" "" "$TITLE"
-POL_SetupWindow_message "$LNG_INSTALL_DONE" "$TITLE"
+        # Shortcut done before install for steam version
+        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
 
+        # Steam install
+        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue.')" "$TITLE"
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+        POL_Wine_WaitExit "$TITLE"
+                    
+elif [ "$INSTALL_METHOD" == "CD" ]; then
+        POL_SetupWindow_cdrom
+                    
+        POL_Call POL_Function_NoCDWarning
+             
+        POL_SetupWindow_check_cdrom "TRON.EXE"
+        POL_Wine start /unix "$CDROM/SETUP.EXE"
+                   
+        POL_Wine_WaitExit "$TITLE"
+                
+        # Restore screen resolution (game's default is 800x600 ?)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+                   
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_QuietDebug "$TITLE"
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+            
+            
+elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
+        cd "$WINEPREFIX/drive_c"
+           
+        # POL_SetupWindow_message "$(eval_gettext '\n\nNote: this script will download the demo .')" "$TITLE"
+        POL_Download "https://archive.org/download/TheOperativeNoOneLivesForeverDemo/nolftechdemo.exe"
+         
+        mv nolftechdemo.exe GameInstaller.exe
+        # mv Teacher%20Simulator.rar gameinstaller.rar        
+        # mv Facewound.zip gameinstaller.zip
+         
+        # POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        # POL_System_unrar x "gameinstaller.rar" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        # POL_System_unzip "gameinstaller.zip" -d "$WINEPREFIX/drive_c/game/"
+           
+        # Extract without sub-folder.
+        # unzip "gameinstaller.zip" -j -d "$WINEPREFIX/drive_c/"
+           
+        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
+   
+        POL_SetupWindow_message "$(eval_gettext 'Note: just click the buttons <Unzip> then <Close>.')" "$TITLE"
+       
+        # cd  "$WINEPREFIX/drive_c/game/"
+        POL_Wine "GameInstaller.exe" # "/SILENT"
+        POL_Wine_WaitBefore "$TITLE"
+   
+        POL_SetupWindow_message "$(eval_gettext '\n\nNote: do NOT install DirectX.')" "$TITLE"
+   
+        cd  "$WINEPREFIX/drive_c/nolfdemo/"
+        POL_Wine "SETUP.EXE" # "/SILENT"
+        POL_Wine_WaitBefore "$TITLE"
+   
+        cd "$WINEPREFIX/drive_c"
+        # rm GameInstaller.exe
+        rm GameInstaller.exe
+           
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_QuietDebug "$TITLE"
+           
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+                
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+         
+           
+elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
+        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.MSI')~$(eval_gettext '.EXE')" "~"
+         
+        # APP_ANSWER=".EXE"
+   
+if [ "$APP_ANSWER" == ".EXE" ]; then
+        # Asking then installing local files of the game
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the installation file (INSTALL.EXE)')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+ 
+        # POL_SetupWindow_message "Note: please answer NO to all the questions that will appear." "$TITLE"
+ 
+        POL_Wine start /unix "$SETUP_EXE"
+        POL_Wine_WaitExit "$TITLE"
+               
+        # Restore screen resolution (game's default is 640x480 ?)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+                 
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_QuietDebug "$TITLE"
+           
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+    
+    
+elif [ "$APP_ANSWER" == "$(eval_gettext '.MSI')" ]; then
+       # Asking then installing local files of the game
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        POL_Wine msiexec /i  "$SETUP_EXE"
+        POL_Wine_WaitExit "$TITLE"
+                 
+        # Restore screen resolution (game's default is 640x480 ?)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+                 
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_QuietDebug "$TITLE"
+           
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+    
+elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
+        cd "$HOME"
+           
+        POL_SetupWindow_message "$(eval_gettext '\n\nWARNING: the file name must not have SPACES in its name !.')" "$TITLE"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
+         
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+           
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+         
+elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+          
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+    
+fi
+fi
+  
+################
+# Patch update #
+################
+      
+# POL_SetupWindow_menu "$(eval_gettext 'Do you have a official patch-update to install ?')" "$TITLE" "$(eval_gettext 'No')~$(eval_gettext 'Yes')" "~"      
+           
+if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .EXE file to run')" "$TITLE"
+        PATCH_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$PATCH_EXE"
+        POL_Wine_WaitExit "$PATCH_EXE"
+fi
+            
+# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
+      
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
+            
+# Fail ?
+# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
+           
 POL_System_TmpDelete
 POL_SetupWindow_Close
-exit
\ No newline at end of file
+exit 0

New source code

#!/bin/bash
# Date : (2009-05-24 16-37)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : XUbuntu 18.04 64 bits
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: 
#
# Middlewares used by this software : .
#
#
#
# CHANGELOG
# [BBK] (2009-05-24 16-37)
#   Initial script.
# [GNU32] (2016-03-23)
#   Fix download link
#   Upgrades
# [Dadu042] (2020-06-07 01-00)
#   Wine 1.5.6 -> 4.0.4
#   New script (allowing to install from local file, because no alternative URL found to dead URL #2)
#
#
# KNOWN ISSUES :
#  - Wine x86 5.0, 5.7: X
#
#
# KNOWN ISSUES (FIXED):
#  - Wine x86 4.0.4, 5.0: X
#
    
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
           
TITLE="CivNet"
PREFIX="CivNet"
EDITOR="MicroProse"
GAME_URL=""
AUTHOR="Dadu042"
STEAM_ID=""
GAME_VMS="16"
SHORTCUT_FILENAME="civnet.exe"
SOFTWARE_CATEGORIES="Game;StrategyGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="readme.txt"
          
# Starting the script
POL_SetupWindow_Init
                       
# Starting debugging API
POL_Debug_Init
      
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
    
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
    
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
    
POL_RequiredVersion "4.3.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
          
# Determine Architecture
POL_System_SetArch "amd64"
# POL_System_SetArch "x86"
      
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "4.0.4"
    
POL_System_TmpCreate "$PREFIX"
           
Set_OS "win95"
   
#######################################
#  Installing mandatory dependencies  #
#######################################
         
# POL_Wine_DirectInput "MouseWarpOverride" "force"
 
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_dsound
# POL_Call POL_Install_quartz
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_d3dcompiler_43
# POL_Call POL_Install_wininet
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_dotnet30sp1
# POL_Call POL_Install_mono5.20
# POL_Call POL_Install_dotnet20
# POL_Call POL_Install_dotnet40
# POL_Call POL_Install_dotnet472
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
               
               
################
#      GPU     #
################
           
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
            
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
             
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
               
               
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
            
           
#######################################
#  Main part of this script           #
#######################################
               
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL"
    
# POL_SetupWindow_message "Warning: do not install DirectX (nor the icons)." "$TITLE"
# POL_SetupWindow_message "Warning: do not install Visual C++ 2013 redistribuable\n nor Direct X." "$TITLE"
            
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"

        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"

        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue.')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
                    
elif [ "$INSTALL_METHOD" == "CD" ]; then
        POL_SetupWindow_cdrom
                    
        POL_Call POL_Function_NoCDWarning
             
        POL_SetupWindow_check_cdrom "TRON.EXE"
        POL_Wine start /unix "$CDROM/SETUP.EXE"
                   
        POL_Wine_WaitExit "$TITLE"
                
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
                   
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
            
            
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
           
        # POL_SetupWindow_message "$(eval_gettext '\n\nNote: this script will download the demo .')" "$TITLE"
        POL_Download "https://archive.org/download/TheOperativeNoOneLivesForeverDemo/nolftechdemo.exe"
         
        mv nolftechdemo.exe GameInstaller.exe
        # mv Teacher%20Simulator.rar gameinstaller.rar        
        # mv Facewound.zip gameinstaller.zip
         
        # POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        # POL_System_unrar x "gameinstaller.rar" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        # POL_System_unzip "gameinstaller.zip" -d "$WINEPREFIX/drive_c/game/"
           
        # Extract without sub-folder.
        # unzip "gameinstaller.zip" -j -d "$WINEPREFIX/drive_c/"
           
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
   
        POL_SetupWindow_message "$(eval_gettext 'Note: just click the buttons <Unzip> then <Close>.')" "$TITLE"
       
        # cd  "$WINEPREFIX/drive_c/game/"
        POL_Wine "GameInstaller.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
   
        POL_SetupWindow_message "$(eval_gettext '\n\nNote: do NOT install DirectX.')" "$TITLE"
   
        cd  "$WINEPREFIX/drive_c/nolfdemo/"
        POL_Wine "SETUP.EXE" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
   
        cd "$WINEPREFIX/drive_c"
        # rm GameInstaller.exe
        rm GameInstaller.exe
           
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
           
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
                
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
         
           
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.MSI')~$(eval_gettext '.EXE')" "~"
         
        # APP_ANSWER=".EXE"
   
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the installation file (INSTALL.EXE)')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
 
        # POL_SetupWindow_message "Note: please answer NO to all the questions that will appear." "$TITLE"
 
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
               
        # Restore screen resolution (game's default is 640x480 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
                 
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
           
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
    
    
elif [ "$APP_ANSWER" == "$(eval_gettext '.MSI')" ]; then
       # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine msiexec /i  "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
                 
        # Restore screen resolution (game's default is 640x480 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
                 
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
           
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
    
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
           
        POL_SetupWindow_message "$(eval_gettext '\n\nWARNING: the file name must not have SPACES in its name !.')" "$TITLE"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
         
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
           
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
         
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
          
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
    
fi
fi
  
################
# Patch update #
################
      
# POL_SetupWindow_menu "$(eval_gettext 'Do you have a official patch-update to install ?')" "$TITLE" "$(eval_gettext 'No')~$(eval_gettext 'Yes')" "~"      
           
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .EXE file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
            
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
      
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
            
# Fail ?
# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
           
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0

Replies

Edited by Dadu042

Dadu042 Wednesday 29 January 2020 at 11:55
Dadu042

Message

The download URL is down again, I could not find a replacement.

Replies

Sunday 7 June 2020 at 0:35
Switch to 'testing'.
gnu32 Wednesday 23 March 2016 at 11:09
gnu32 Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

Correction du liens de téléchargement + quelques améliorations

Differences

@@ -1,17 +1,25 @@
 #!/bin/bash
 # Date : 2009-05-24 16-37
-# Last revision : 2009-12-02
-# Wine version used : 1.0.1
-# Distribution used to test : Debian Sid
+# Last revision : 2016-03-23
+# Wine version used : 1.5.6
+# Distribution used to test : Linux Mint 17.3 Rosa
+# Licence : GPLv3
+# PlayOnLinux : 4.2.2
 # Author : BBK
-# Depend : unzip
- 
+# Contributor : GNU32
+# Depend : 7zip
+  
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
- 
+  
 TITLE="Civnet"
 PREFIX="Civnet"
- 
+WINEVERSION="1.5.6"
+AUTHOR="BBK + GNU32(mainteneur)"
+GAME_VMS="8"
+GAME_URL="http://www.abandonware-france.org/ltf_abandon/ltf_jeu.php?id=8"
+GAME_EDITOR="Microprose"
+
 if [ "$POL_LANG" == "fr" ]; then
 LNG_ZIP_DL="Téléchargement du jeu..."
 LNG_INSTALL_WARNING="Il est préférable de cliquer sur 'Skip' lors de la création d'icônes"
@@ -23,28 +31,47 @@
 LNG_INSTALL="Installation in progress..."
 LNG_INSTALL_DONE="The installation is finished."
 fi
- 
+  
 POL_SetupWindow_Init
-POL_SetupWindow_presentation "$TITLE" "Microprose" "" "BBK" "$PREFIX"
- 
-select_prefixe "$REPERTOIRE/wineprefix/$PREFIX"
-POL_SetupWindow_prefixcreate
-cd $REPERTOIRE/tmp
- 
-POL_SetupWindow_download "$LNG_ZIP_DL" "$TITLE" "http://www.abandonware-utopia.com/pages/telechargement/jeux/Civnet.zip"
-unzip Civnet.zip -x *.txt
-cd CivNet
- 
+POL_SetupWindow_SetID 2132
+POL_Debug_Init
+
+# Presentation
+POL_SetupWindow_presentation \
+    "${TITLE}" \
+    "${GAME_EDITOR}" \
+    "${GAME_URL}" \
+    "${AUTHOR}" \
+    "${PREFIX}"
+
+# Create Prefix
+POL_System_SetArch "x86"
+POL_Wine_SelectPrefix "${PREFIX}"
+POL_Wine_PrefixCreate "${WINEVERSION}"
+
+# Asking about memory size of graphic card
+POL_SetupWindow_VMS ${GAME_VMS}
+
+# Téléchargement
+POL_System_TmpCreate "$PREFIX"
+cd "$POL_System_TmpDir"
+POL_Download "http://www.abandonware-utopia.com/pages/telechargement/jeux/Sid%20Meiers%20CivNet.7z" "0c455727f06f0b7c7b5ec57bed1d40db"
+
+# Configuration du système d'exploitation
+Set_OS "Win95"
+
 POL_SetupWindow_message "$LNG_INSTALL_WARNING" "$TITLE"
 POL_SetupWindow_wait_next_signal "$LNG_INSTALL" "$TITLE"
-wine INSTALL.EXE
+
+#Installation
+7z x "Sid%20Meiers%20CivNet.7z"
+POL_Wine_WaitBefore "$TITLE"
+POL_Wine "$POL_System_TmpDir/Sid Meiers CivNet/INSTALL.EXE"
 POL_SetupWindow_detect_exit
- 
-cd $REPERTOIRE/tmp
-rm Civnet.zip
-rm -r CivNet
- 
+
 POL_SetupWindow_make_shortcut "$PREFIX" "MPS/CIVNET" "CIVNET.EXE" "" "$TITLE"
 POL_SetupWindow_message "$LNG_INSTALL_DONE" "$TITLE"
+
+POL_System_TmpDelete
 POL_SetupWindow_Close
 exit
\ No newline at end of file

New source code

#!/bin/bash
# Date : 2009-05-24 16-37
# Last revision : 2016-03-23
# Wine version used : 1.5.6
# Distribution used to test : Linux Mint 17.3 Rosa
# Licence : GPLv3
# PlayOnLinux : 4.2.2
# Author : BBK
# Contributor : GNU32
# Depend : 7zip
  
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
  
TITLE="Civnet"
PREFIX="Civnet"
WINEVERSION="1.5.6"
AUTHOR="BBK + GNU32(mainteneur)"
GAME_VMS="8"
GAME_URL="http://www.abandonware-france.org/ltf_abandon/ltf_jeu.php?id=8"
GAME_EDITOR="Microprose"

if [ "$POL_LANG" == "fr" ]; then
LNG_ZIP_DL="Téléchargement du jeu..."
LNG_INSTALL_WARNING="Il est préférable de cliquer sur 'Skip' lors de la création d'icônes"
LNG_INSTALL="Installation en cours..."
LNG_INSTALL_DONE="L'installation est terminée."
else
LNG_ZIP_DL="Downloading the game..."
LNG_INSTALL_WARNING="It is advised to choose 'Skip' during the icons creation"
LNG_INSTALL="Installation in progress..."
LNG_INSTALL_DONE="The installation is finished."
fi
  
POL_SetupWindow_Init
POL_SetupWindow_SetID 2132
POL_Debug_Init

# Presentation
POL_SetupWindow_presentation \
    "${TITLE}" \
    "${GAME_EDITOR}" \
    "${GAME_URL}" \
    "${AUTHOR}" \
    "${PREFIX}"

# Create Prefix
POL_System_SetArch "x86"
POL_Wine_SelectPrefix "${PREFIX}"
POL_Wine_PrefixCreate "${WINEVERSION}"

# Asking about memory size of graphic card
POL_SetupWindow_VMS ${GAME_VMS}

# Téléchargement
POL_System_TmpCreate "$PREFIX"
cd "$POL_System_TmpDir"
POL_Download "http://www.abandonware-utopia.com/pages/telechargement/jeux/Sid%20Meiers%20CivNet.7z" "0c455727f06f0b7c7b5ec57bed1d40db"

# Configuration du système d'exploitation
Set_OS "Win95"

POL_SetupWindow_message "$LNG_INSTALL_WARNING" "$TITLE"
POL_SetupWindow_wait_next_signal "$LNG_INSTALL" "$TITLE"

#Installation
7z x "Sid%20Meiers%20CivNet.7z"
POL_Wine_WaitBefore "$TITLE"
POL_Wine "$POL_System_TmpDir/Sid Meiers CivNet/INSTALL.EXE"
POL_SetupWindow_detect_exit

POL_SetupWindow_make_shortcut "$PREFIX" "MPS/CIVNET" "CIVNET.EXE" "" "$TITLE"
POL_SetupWindow_message "$LNG_INSTALL_DONE" "$TITLE"

POL_System_TmpDelete
POL_SetupWindow_Close
exit

Replies